
StocksAndFisheriesKB - Bug #23978

HTTP 500 error while publishing in GRSF Admin and GRSF Public VREs

Oct 19, 2022 02:13 PM - Yannis Marketakis

Status: Closed Start date: Oct 19, 2022

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

We encounter an error while trying to publish records in GRSF Admin (https://services.d4science.org/group/grsf_admin/) and GRSF (

https://services.d4science.org/group/grsf) VREs.

We face the following HTTP 500 error:

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body: {"id":null,

"knowledge_base_id":null,"product_url":null,"error":"Sorry but there was not possible to retrieve 

your fullname/email!"}

 I think that it is related to #23679#note-3 where the same error occurred in GRSF PRE and was fixed.

Related issues:

Related to StocksAndFisheriesKB - Bug #23679: HTTP 500 error while publishing... Closed Jul 22, 2022

Blocks StocksAndFisheriesKB - Task #23974: Approve-Merge-Archive GRSF records New Oct 18, 2022

History

#1 - Oct 19, 2022 02:13 PM - Yannis Marketakis

- Blocks Task #23974: Approve-Merge-Archive GRSF records added

#2 - Oct 19, 2022 02:13 PM - Yannis Marketakis

- Related to Bug #23679: HTTP 500 error while publishing in GRSF PRE added

#3 - Oct 26, 2022 04:16 PM - Luca Frosini

It seems happening to me only in the first request.

Can you please confirm that a subsequent request is successful for you?

I'm going to investigate the issue.

#4 - Oct 27, 2022 09:35 AM - Yannis Marketakis

Hi @luca.frosini@isti.cnr.it 

I just checked and it happens to me every time.

The GRSF publisher VRE is https://smart-grsf-admin.d4science.org/grsf-publisher-ws/rest/

#5 - Oct 27, 2022 09:35 AM - Luca Frosini

Ok thanks for your feedback

#6 - Nov 02, 2022 01:29 PM - Anne Elise Nieblas

Hello, Has there been any progress on addressing this error? Thanks, Anne-Elise

#7 - Nov 03, 2022 01:44 PM - Luca Frosini

- Status changed from New to Feedback

- % Done changed from 0 to 100

The patch to solve the issue in the service is going to be released see #23679. As soon as such a version will be deployed in production the issue

should be solved.
#8 - Nov 07, 2022 09:28 AM - Yannis Marketakis

What are the plans/time schedule for the deployment? I just tried updating in GRSF Admin and I still face HTTP 500

#9 - Nov 07, 2022 10:22 AM - Luca Frosini

Yannis Marketakis wrote in #note-8:

What are the plans/time schedule for the deployment? I just tried updating in GRSF Admin and I still face HTTP 500

 As soon as all the test in GRSF_Pre will be passed the service will be upgraded

#10 - Nov 15, 2022 10:14 AM - Yannis Marketakis

- Status changed from Feedback to Closed

I just tested that on GRSF Admin and it no longer raises a HTTP 500 error.

The issue can be closed. 

Thanks
